Subject: [OSPF] draft-ietf-ospf-yang-02 questions and doubts

From: Alan Davey <[email-masked]>
Date: Thu, 8 Oct 2015 12:50:23 +0000

Folks

I have read draft-ietf-ospf-yang-02 and have some questions and doubts.  Please let me know your thoughts on the following.

-          There are some concepts that appear to be implementation specific. For example, should the following be part of the OSPF Yang definition?

o   admin-distance: this is not an OSPF concept that I am familiar with.  Administrative distance is commonly used for comparing the usability of routes originating from different protocols and not associated specifically with an OSPF instance.

o   nsr: there is no IETF standard for NSR.

o   local-rib: OSPF may be one of a number of routing protocols running on a router and therefore the local RIB is not OSPF-specific.

o   container ldp: should this be part of the OSPF Yang?

-          Conversely, should configuration of IGP shortcut support be added to the Yang definition?

-          There are some options that I would expect to see for the instance-config that are not present.  Are there any plans to add other options?  For example, the following.

o   Configuring the instance as an ASBR.

o   Support for traffic engineering.

o   The ospfRFC1583Compatibility field defined in RFC 4750.

-          The text is OSPFv2-centric in places.  For example:

o   leaf router-id and grouping interface-operation : the description fields references RFC 2328.  Should this also refer to RFC 5340 for the OSPFv3 case?

o   The grouping interface-operation

*  does not include the instance ID

*  dr and bdr leaves have type:ipv4-address.

o   container graceful-restart : description "Enable/Disable graceful restart as defined in RFC 3623."  (Note that the feature graceful-restart does reference RFC 5187, OSPFv3 Graceful Restart.)

o   container te-rid: refers to IPv4 addresses in several places.

-          The TE (Traffic Engineering) configuration is specified within "container mpls".  Is it safe to assume that TE configuration is always mpls-related?  It may be better to make it non-specific about the usage of the TE information.

-          I found the "container stub-router" confusing.  In particular, the different description fields.  For example, I failed to understand the following.

o   "Specific different triggers to enable stub router." for the choice trigger description

o   "Enables maximum metric for non-stub router link" for the presence.

Regards
Alan Davey